研究了略长的时间呢。(断断续续的研究了一个星期左右,其实也就几节课的时间

当然是之前修好了n900之后,随便搞了搞,安装了vim,当然一切顺利。顺便安装nano的时候,apt突然提醒我缺了个包

emmmm。。。apt的报错被dpkg的安装回显覆盖掉了,这里就直说吧

首先提示了我缺了libncursesw5这个包。

记住包名之后在这里下载这个软件包(什么?找不到?为什么不问问神奇的Debian在线软件包搜索引擎呢

38169269-48ac6c32-3598-11e8-9891-9ee5492f0bea.png

不得不说,,这玩意真的是名不符实。。。。(为啥lib开头的包要在ncurses下载。。。

当然偶然间发现N900的maemo是基于Debian3.1(sarge)版本的,所以就得到上述的链接下载这种上古的软件包。(而且中国没镜像,不过裸连速度还可观)。直接装最新版本软件不是无法安装,就是装上后出了蜜汁的问题。。。(当时装了libncursesw5相比较来说比较新的那种,结果最后装完nano提示我libncursesw.so.5丢失。。),所以一定要装依赖提示的最低要求的版本!

上述牢骚参考连接>>distribution archives

言归正传。下载到手机之后。直接使用dpkg -i xxxx.deb即可安装,如果提示缺少依赖,则再按照之前的方法安装依赖即可。

在所有的依赖搞定之后nano就可以安装了!(emmm。。通过apt安装。。。)

img1.jpg

emmmm。自带中文。看起来挺不错的样子欸(哇我的termux就没有这种待遇)

标签: 没有标签


添加新评论